//+------------------------------------------------------------------+
//|                                                 Hard scalper.mq4 |
//|                                                     Saasa Ivanov |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Saasa Ivanov"
#property link      "http://www.mql5.com"
#property version   "1.00"
#property strict

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
#property indicator_width1 0
#property indicator_width2 0

extern int    Period1   =  33; // First period for WPR and CCI
extern int    Period2   =  33; // Second period for WPR and CCI
extern double WprLevel1 = -55; // Lower WPR level
extern double WprLevel2 = -46; // Higher WPR level
extern double CCILevel1 = -35; // Lower CCI level
extern double CCILevel2 =  38; // Higher CCI level
double dBuf0[], dBuf1[];

//----------------------------------------------------------------------------
//
//----------------------------------------------------------------------------
void init() {
  SetIndexBuffer    (0, dBuf0); SetIndexStyle(0,DRAW_ARROW); SetIndexArrow(0, 233);
  SetIndexBuffer    (1, dBuf1); SetIndexStyle(1,DRAW_ARROW); SetIndexArrow(1, 234);
}
void deinit() {  }
void start() {

   int counted_bars = IndicatorCounted(); 
      if (counted_bars < 0) return; 
      if (counted_bars > 0) counted_bars--;  
         int limit=MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for (int i =limit; i>=0; i--) 
   {
      dBuf0[i]=EMPTY_VALUE;
      dBuf1[i]=EMPTY_VALUE;
      
      double MF19 = iWPR(NULL,0,Period1,i+0);
      double MF29 = iWPR(NULL,0,Period1,i+2);
      double CC3  = iCCI(NULL,0,Period2,PRICE_CLOSE,i+0);
      double CC4  = iCCI(NULL,0,Period2,PRICE_CLOSE,i+4);
    
      if ( MF19>WprLevel1 && MF29<WprLevel1 && CC3>CCILevel1 && CC4<CCILevel1) dBuf0[i]=Low[i] -iATR(NULL,0,10,i);
      if ( MF19<WprLevel2 && MF29>WprLevel2 && CC3<CCILevel2 && CC4>CCILevel2) dBuf1[i]=High[i]+iATR(NULL,0,10,i);
  }
}